View Issue Details

IDProjectCategoryView StatusLast Update
0014898ScribusPDFpublic2017-12-20 20:58
ReporterAbsotively Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindowsOS Version10 Home
Product Version1.5.3 
Target VersionFixed in Version1.5.4.svn 
Summary0014898: Fonts used only in symbols can't be embedded in PDFs
DescriptionFonts that are used only in symbols don't appear in the "Fonts" tab of the "Save as PDF" dialog, and are not embedded in exported PDFs.
Steps To Reproduce* Create a new document, create a text frame in it, and enter some text in the text frame
* Convert the text frame to a symbol (Item > Convert to > Symbol)
* Open the "Save as PDF" dialog (File > Export > Save as PDF)
* Switch to the "Fonts" tab. See that no fonts are listed.
* Save the document as a PDF. Use a PDF viewer to look at its font properties. See that the font is not embedded.
Tagsexport to PDF
PatchNo

Activities

PeterBenedek

2017-07-07 06:22

developer   ~0044134

Tested Linux Mint 18.2; r22099

I can reproduce.

test.jpg (40,821 bytes)
test.jpg (40,821 bytes)

PeterBenedek

2017-07-08 08:22

developer   ~0044140

Tested r22103

It's OK. Works well.
Thanks Jean.

test-2.jpg (61,414 bytes)
test-2.jpg (61,414 bytes)

Issue History

Date Modified Username Field Change
2017-07-07 03:22 Absotively New Issue
2017-07-07 03:22 Absotively Tag Attached: export to PDF
2017-07-07 06:22 PeterBenedek File Added: test.jpg
2017-07-07 06:22 PeterBenedek Note Added: 0044134
2017-07-07 11:00 jghali Issue cloned: 0014900
2017-07-07 11:00 jghali Severity minor => major
2017-07-07 11:04 jghali Assigned To => jghali
2017-07-07 11:04 jghali Status new => resolved
2017-07-07 11:04 jghali Resolution open => fixed
2017-07-07 11:04 jghali Fixed in Version => 1.5.4.svn
2017-07-08 08:22 PeterBenedek File Added: test-2.jpg
2017-07-08 08:22 PeterBenedek Note Added: 0044140
2017-12-20 20:58 cbradney Status resolved => closed